merge conflict resolution
[oweals/gnunet.git] / src / gns / test_gns_at_lookup.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4
5 LOCATION=$(which gnunet-config)
6 if [ -z $LOCATION ]
7 then
8   LOCATION="gnunet-config"
9 fi
10 $LOCATION --version 1> /dev/null
11 if test $? != 0
12 then
13         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
14         exit 77
15 fi
16
17 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 5"
18 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
19
20 TEST_IP="127.0.0.1"
21 MY_EGO="myego"
22 gnunet-arm -s -c test_gns_lookup.conf
23 gnunet-identity -C delegatedego -c test_gns_lookup.conf
24 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
25 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
26 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
27 gnunet-namestore -p -z delegatedego -a -n '@' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
28 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u b.$MY_EGO -t A -c test_gns_lookup.conf`
29 gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
30 gnunet-namestore -z delegatedego -d -n '@' -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
31 gnunet-arm -e -c test_gns_lookup.conf
32 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
33
34 if [ "$RES_IP" = "$TEST_IP" ]
35 then
36   exit 0
37 else
38   echo "Failed to resolve to proper IP, got $RES_IP."
39   exit 1
40 fi